#!/bin/bash
set -e

IMAGES_TO_GENERATE=5000

(which qmake &>/dev/null)   || (echo "ERROR: this script requires QT library and 'qmake'."; exit;)
(which convert &>/dev/null) || (echo "ERROR: this script requires Imagemagick 'convert'."; exit;)

# Build the generator
qmake && make

# Generate PNG files
(mkdir generated) || true
cd generated
../captcha-gen $IMAGES_TO_GENERATE

# Convert them to small GIFs
ls *.png | while read x; do
  echo "Converting $x to gif"
  NEWNAME=`echo $x | sed 's/png/gif/'`
  convert +dither $x -median 3 -scale 200x100 -colors 4  $NEWNAME
done

rm *.png
